org.apache.cxf.ws.addressing

## Enum WSAddressingFeature.AddressingResponses

- java.lang.Object
- - java.lang.Enum<WSAddressingFeature.AddressingResponses>
  - - org.apache.cxf.ws.addressing.WSAddressingFeature.AddressingResponses

- All Implemented Interfaces:
    Serializable, Comparable<WSAddressingFeature.AddressingResponses>
  Enclosing class:
    WSAddressingFeature

      public static enum WSAddressingFeature.AddressingResponses
      extends Enum<WSAddressingFeature.AddressingResponses>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `ANONYMOUS`
    `NON_ANONYMOUS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WSAddressingFeature.AddressingResponses` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WSAddressingFeature.AddressingResponses[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final WSAddressingFeature.AddressingResponses ALL

    - #### NON_ANONYMOUS

          public static final WSAddressingFeature.AddressingResponses NON_ANONYMOUS

    - #### ANONYMOUS

          public static final WSAddressingFeature.AddressingResponses ANONYMOUS

  - ### Method Detail

    - #### values

          public static WSAddressingFeature.AddressingResponses[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WSAddressingFeature.AddressingResponses c : WSAddressingFeature.AddressingResponses.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WSAddressingFeature.AddressingResponses valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Apache CXF